Bug 329001 - No NDISwrapper RPM package in Fedora
No NDISwrapper RPM package in Fedora
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
http://ndiswrapper.sourceforge.net/jo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 01:16 EDT by Răzvan Sandu
Modified: 2014-03-16 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 02:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-10-12 01:16:01 EDT
Description of problem:

NDISwrapper is a critical piece of software, used for running hardware which has
no native Linux support by means of Windows drivers. It acts like a wrapper
between Linux kernel and proprietary software drivers.

This is especially important for the vast majority of laptops or other "special"
hardware that will be totally disabled otherwise.

No NDISwrapper package specially crafted for Fedora 7/8 exist in the native
repository; however, there are RPM packages at Livna, DAG or Dries repositories
- not all of them work OK.

Version-Release number of selected component (if applicable):
Fedora 7.92 + updates as of October 12, 2007.

How reproducible:
Always.

  
Actual results:
There is no NDISwrapper package in the official Fedora repository.

Expected results:
Please include a NDISwrapper RPM package specially crafted for the most current
version of Fedora.

Additional info:
http://dries.ulyssis.org/rpm/packages/dkms-ndiswrapper/info.html
Comment 1 Bill Nottingham 2007-10-12 02:41:50 EDT
NDISwrapper is of dubious legality from a licensing standpoint, conflicts badly
with kernel infrastructure such as 4k stacks, and leaves users in a situation
where any bugs in the Windows drivers can't actually be fixed. It is not
suitable for Fedora, and actually should probably be added to
http://fedoraproject.org/wiki/ForbiddenItems

Note You need to log in before you can comment on or make changes to this bug.